System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.IContainer System.IDisposable

The class is the default implementation for the interface.

Containers are objects that encapsulate and track zero or more components. In this context, containment refers to logical containment, not visual containment. You can use components and containers in a variety of scenarios, including scenarios that are both visual and not visual.

The components in a container are tracked in a first-in, first-out list, which also defines the order of the components within the container. Added components are appended to the end of the list.

Encapsulates zero or more components.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method can be overridden by a derived class.

  The new is added to the end of the list.

  Adds the specified to the . The component is unnamed.

  The component to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method can be overridden by a derived class.

  The new is added to the end of the list.

  Adds the specified to the and assigns it a name.

  The component to add. The unique, case-insensitive name to assign to the component.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ComponentCollection To be added: an object of type 'ComponentCollection'

  This method can be overridden by a derived class.

  The components in the collection are stored in the same order as they were added to the .

  Gets all the components in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ISite `` ``

  If the parameter is null, the is added to the without an identifying name.

  This method can be overridden by a derived class. Implementers that need to override the method can provide a custom implementation through a class that implements the interface.

  Creates a site for the given and assigns the given name to the site.

  The newly created site.

  The to create a site for. The name to assign to , or null to skip the name assignment.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose method and the method. Dispose invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Disposemethod of each referenced object.

  Releases the unmanaged resources used by the , and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method overrides . Application code should not call this method; an object's Finalize method is automatically invoked during garbage collection, unless finalization by the garbage collector has been disabled by a call to the method.

  For more information, see Finalize Methods and Destructors, Cleaning Up Unmanaged Resources, and Overriding the Finalize Method.

  Releases unmanaged resources and performs other cleanup operations before the is reclaimed by garbage collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The default implementation of this method returns the current instance of the class if is an ; otherwise, it returns null. You can override this method to provide a custom implementation to return a service object. For more information, see the method.

  Gets the service object of the specified type, if it is available.

  An implementing the requested service, or null if the service cannot be resolved.

  The of the service to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method can be overridden by a derived class.

  Removes a component from the .

  The component to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method cleans up the site as usual, but it does not set the component's property to null.

  Removes a component from the without setting to null.

  The component to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method is called by the method to determine if the name of the being added is unique for this . If the parameter is not null and is not unique, an is thrown.

  Determines whether the component name is unique for this container.

  The named component. The component name to validate.